declare const _default: {
    name: string;
    components: {
        CheckInput: import("vue").DefineComponent<{}, {}, any, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    };
    data: () => {
        checkMonday: boolean;
        checkTuesday: boolean;
        checkWednesday: boolean;
        checkThursday: boolean;
        checkFriday: boolean;
        checkSaturday: boolean;
        checkSunday: boolean;
        selectedDays: any[];
    };
    props: {
        checkDays: any[];
    };
    mounted(): void;
    watch: {
        checkDays: (array: []) => void;
    };
    methods: {
        updateSelectedDays(check: boolean, day: string): void;
        isCheckedMonday(check: boolean): void;
        isCheckedTuesday(check: boolean): void;
        isCheckedWednesday(check: boolean): void;
        isCheckedThursday(check: boolean): void;
        isCheckedFriday(check: boolean): void;
        isCheckedSaturday(check: boolean): void;
        isCheckedSunday(check: boolean): void;
    };
};
export default _default;
